## juju-core 1.24.6

=== debian/changelog ===
juju-core (1.24.6-0ubuntu3) wily; urgency=medium

  * Fix fake-future dep8 tests:
    - Correct the date format string so it uses months as intended
      instead of generating invalid dates. Thanks to Colin Watson.
    - Fix /etc/os-release generation when the faked release is an LTS:
      VERSION_ID should not contain "LTS".

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 21 Oct 2015 17:07:29 +0000

juju-core (1.24.6-0ubuntu2) wily; urgency=medium

  * Updates to support MIR in Ubuntu:
    - d/control: Add BD's on go.crypto, go.net, juju-loggo,
      github-bmizerany-pat and go-dbus golang-*-dev packages.
    - d/rules: Tweak GOPATH configuration and link in any shared go
      dependencies from /usr/share/gocode to ensure that distribution
      -dev packages are preferred over embedded copies in juju source.
    - d/control,rules: Add BD on dh-golang, enable Built-Using field to
      ensure -dev dependencies can be tracked effectively.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Oct 2015 22:43:27 +0100

juju-core (1.24.6-0ubuntu1) wily; urgency=medium

  * New upstream release (LP: #1481556).
  * d/copyright updated for Juju 1.24.6 (Last verified commit changes).
  * d/tests/* Run tests with upstart when Juju version before 1.23.
  * Prefer gccgo-5 for ppc64el and arm64 in build-deps.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Wed, 22 Sep 2015 15:27:01 +0000

juju-core (1.22.6-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.
  * d/copyright updated for Juju 1.22.6 (Last verified commit changes).

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 25 Jun 2015 18:25:00 +0000

juju-core (1.22.5-0ubuntu2) wily; urgency=medium

  * Add distro-info to build-depends because juju's list of series can
    be stale.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Mon, 15 Jun 2015 17:54:22 +0000

juju-core (1.22.5-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (Lp: #1462001).
  * d/copyright: Updated to reflect changes in the codebase.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 05 Jun 2015 17:40:37 +0000

=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-golang,
               distro-info,
               gccgo-5 [!amd64 !i386 !armhf] | gccgo-go [!amd64 !i386 !armhf],
               golang-github-bmizerany-pat-dev,
               golang-go (>= 2:1.2) [amd64 i386 armhf],
               golang-go-dbus-dev,
               golang-go.crypto-dev,
               golang-go.net-dev,
               golang-juju-loggo-dev,
               lsb-release,
               python
Standards-Version: 3.9.6
Homepage: http://launchpad.net/juju-core
XS-Testsuite: autopkgtest

Package: juju-core
Architecture: any
Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: bash-completion
Conflicts: juju (<< 0.7-0ubuntu1~)
Built-Using: ${misc:Built-Using}
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This package provides the client application of creating and interacting
 with Juju environments.

Package: juju
Architecture: all
Depends: juju-core (>= ${source:Version}), ${misc:Depends}
Description: next generation service orchestration system
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package providing the current version of Juju.

Package: juju-local
Architecture: all
Depends: cloud-image-utils | cloud-utils,
         cpu-checker,
         dbus,
         juju-core (>= ${source:Version}),
         lxc (>=1.0.0~alpha1-0ubuntu14),
         lxc-templates,
         rsyslog-gnutls,
         ${dist:Depends},
         ${misc:Depends}
Description: dependency package for the Juju local provider
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package for those who want to use the Juju local
 provider, allowing Juju Charms to be tested locally using LXC containers.

Package: juju-local-kvm
Architecture: all
Depends: cpu-checker,
         dbus,
         juju-core (>= ${source:Version}),
         rsyslog-gnutls,
         uvtool,
         uvtool-libvirt,
         ${dist:Depends},
         ${misc:Depends}
Description: dependency package for the Juju local provider
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package for those who want to use the Juju local
 provider, allowing Juju Charms to be tested locally using KVM containers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# NOTE: debian/gocode/src will contain symlinks to system provided
#       dev packages, which will be used over those in the upstream
#       juju-core codebase.
export GOPATH:=$(CURDIR)/debian/gocode:$(CURDIR)
export PATH:=$(CURDIR)/bin:$(PATH)

PKGDIR:=debian/juju-core
VERSION:=$(shell sed -n 's/^const version = "\(.*\)"/\1/p' $(CURDIR)/src/github.com/juju/juju/version/version.go)
ifeq ($(VERSION),)
$(error Invalid version constant in version.go)
endif

ifeq ($(shell lsb_release -cs | sed -r 's/saucy|precise/old/'),old)
	DB_DEP = -Vdist:Depends="mongodb-server (>= 2.4.6)"
else
	DB_DEP = -Vdist:Depends="juju-mongodb (>= 2.4.6)"
endif

%:
	dh $@ --with=golang

debian/juju-core.postinst: debian/juju-core.postinst.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

debian/juju-core.prerm: debian/juju-core.prerm.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

debian/juju-core.lintian-overrides: debian/juju-core.lintian-overrides.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

COMMON_FLAGS:= -x -v -work
golang_archs:= amd64 i386 armhf
ifeq (,$(filter $(DEB_HOST_ARCH), $(golang_archs)))
# NOTE(james-page) statically link libgo for the jujud binary for gccgo
# this allows the binary to be re-cut for upstream tool distribution and
# mimics the behaviour of the golang gc compiler.
JUJUD_FLAGS:= -gccgoflags -static-libgo
endif

# NOTE: ensure /usr/share/gocode is use in preference to any
#       embedded source for dependencies.
override_dh_auto_configure:
	mkdir -p debian/gocode/src
	ln -s /usr/share/gocode/src/* debian/gocode/src

override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm debian/juju-core.lintian-overrides
	go install $(COMMON_FLAGS) github.com/juju/juju/cmd/juju
	go install $(COMMON_FLAGS) github.com/juju/juju/cmd/plugins/juju-metadata
	go install $(COMMON_FLAGS) github.com/juju/juju/cmd/plugins/juju-restore
	go install $(COMMON_FLAGS) $(JUJUD_FLAGS) github.com/juju/juju/cmd/jujud
	mkdir -p debian/home
	HOME=debian/home $(CURDIR)/src/github.com/juju/juju/scripts/generate-docs.py man -o juju.1
	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
	dh_install bin/juju-metadata usr/lib/juju-$(VERSION)/bin
	dh_install bin/juju-restore usr/lib/juju-$(VERSION)/bin
	dh_install src/github.com/juju/juju/cmd/plugins/juju-backup/juju-backup usr/lib/juju-$(VERSION)/bin
	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
	dh_install src/github.com/juju/juju/etc/bash_completion.d/juju-core etc/bash_completion.d
	dh_auto_install

override_dh_auto_clean:
	rm -rf debian/juju-core.prerm debian/juju-core.postinst debian/juju-core.lintian-overrides bin juju.1
	rm -rf pkg bin /tmp/go-build* debian/home debian/gocode
	find . -name "*.pyc" -delete || :
	dh_auto_clean

# Don't strip golang compiled binaries as this does
# not function correctly
override_dh_strip:
	:

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)

=== debian/tests/control ===
Tests: client
Depends: juju
Restrictions: allow-stderr

Tests: init-system-local-provider init-system-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

Tests: future-local-provider future-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

## juju-core 1.24.7

=== debian/changelog ===
juju-core (1.24.7-0ubuntu1~15.04.1) vivid; urgency=medium

  * New upstream microrelease. (Lp: #1506652)
  * Update dep8 tests from Xenial.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 16 Oct 2015 17:52:18 +0000

juju-core (1.24.6-0ubuntu1~15.04.1) vivid; urgency=medium

  * Backport of 1.24.6 from wily. (LP: #1500916, #1497087)

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Tue, 29 Sep 2015 19:43:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,9 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
-               dh-golang,
                distro-info,
                gccgo-5 [!amd64 !i386 !armhf] | gccgo-go [!amd64 !i386 !armhf],
-               golang-github-bmizerany-pat-dev,
                golang-go (>= 2:1.2) [amd64 i386 armhf],
-               golang-go-dbus-dev,
-               golang-go.crypto-dev,
-               golang-go.net-dev,
-               golang-juju-loggo-dev,
                lsb-release,
                python
 Standards-Version: 3.9.6
@@ -23,7 +17,6 @@
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
-Built-Using: ${misc:Built-Using}
 Description: Juju is devops distilled - client
  Through the use of charms, juju provides you with shareable, re-usable,
  and repeatable expressions of devops best practices. You can use them

## juju-core 1.25.5

=== debian/changelog ===
juju-core (1.25.5-0ubuntu3~15.10.1) wily; urgency=medium

  * Backport of juju-core-1_1.25.5-0ubuntu3 to 15.10 (Lp: #1556981).
  * As the packages were renamed to juju-core-1 and juju-1, most changes
    to d/ are not backported.
    * d/copyright: Backported with changes to src
      Updated info for src/gopkg.in/juju/charm.v5/* to now match
      commit 84c8fe478fa1b1e67eb552831de5fd2603085c51
    * d/control: Added juju-1 to conflicts as a courtesy to users
      of alternate packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Wed, 11 May 2016 18:21:51 +0000

juju-core (1.25.0-0ubuntu1~15.10.1) wily; urgency=medium

  * No change backport to 15.10 (LP: #1510565).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 29 Oct 2015 11:25:46 +0000

juju-core (1.25.0-0ubuntu1) xenial; urgency=medium

  * New upstream release (Lp: #1510565).
  * d/copyright updated for Juju 1.25.0 (Last verified commit changes).
  * d/tests/* Removed init-system switch because Juju supports upstart
    and systemd. Do not test future on non-systemd releases.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 23 Oct 2015 18:30:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,15 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
+               dh-golang,
                distro-info,
                gccgo-5 [!amd64 !i386 !armhf] | gccgo-go [!amd64 !i386 !armhf],
+               golang-github-bmizerany-pat-dev,
                golang-go (>= 2:1.2) [amd64 i386 armhf],
+               golang-go-dbus-dev,
+               golang-go.crypto-dev,
+               golang-go.net-dev,
+               golang-juju-loggo-dev,
                lsb-release,
                python
 Standards-Version: 3.9.6
@@ -16,7 +22,8 @@
 Architecture: any
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
-Conflicts: juju (<< 0.7-0ubuntu1~)
+Conflicts: juju (<< 0.7-0ubuntu1~), juju-1
+Built-Using: ${misc:Built-Using}
 Description: Juju is devops distilled - client
  Through the use of charms, juju provides you with shareable, re-usable,
  and repeatable expressions of devops best practices. You can use them

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: juju
 Restrictions: allow-stderr
 
-Tests: init-system-local-provider init-system-manual-provider
+Tests: current-local-provider current-manual-provider
 Depends: juju, juju-local, sudo
 Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

## juju-core 1.25.6

=== src/google.golang.org/api/Makefile ===
all:
	go install google.golang.org/api/googleapi
	go install google.golang.org/api/google-api-go-generator
	$(GOPATH)/bin/google-api-go-generator -cache=false -install -api=*

cached:
	go install google.golang.org/api/googleapi
	go install google.golang.org/api/google-api-go-generator
	$(GOPATH)/bin/google-api-go-generator -cache=true -install -api=*

=== src/github.com/juju/juju/Makefile ===
#
# Makefile for juju-core.
#

ifndef GOPATH
$(warning You need to set up a GOPATH.  See the README file.)
endif

PROJECT := github.com/juju/juju
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

ifeq ($(shell uname -p | sed -r 's/.*(86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS := 
else
	GO_C := gccgo-4.9  gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  ca-certificates
  bzr
  distro-info-data
  git-core
  mercurial
  juju-local
  zip
  $(GO_C)
endef

default: build

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

ifeq ($(JUJU_MAKE_GODEPS),true)
$(GOPATH)/bin/godeps:
	go get launchpad.net/godeps

godeps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv
else
godeps:
	@echo "skipping godeps"
endif

build: godeps
	go build $(PROJECT)/...

check: godeps
	go test -test.timeout=1200s $(PROJECT)/...

install: godeps
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else # --------------------------------

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Install packages required to develop Juju and run tests. The stable
# PPA includes the required mongodb-server binaries.
install-dependencies:
ifeq ($(shell lsb_release -cs|sed -r 's/precise/old/'),old)
	@echo Adding juju PPAs for golang and mongodb-server
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
	@sudo apt-get update
endif
	@echo Installing dependencies
	@sudo apt-get --yes install --no-install-recommends \
	$(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)

# Install bash_completion
install-etc:
	@echo Installing bash completion
	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-core /etc/bash_completion.d

GOCHECK_COUNT="$(shell go list -f '{{join .Deps "\n"}}' github.com/juju/juju/... | grep -c "gopkg.in/check.v*")"
check-deps:
	@echo "$(GOCHECK_COUNT) instances of gocheck not in test code"

.PHONY: build check install
.PHONY: clean format simplify
.PHONY: install-dependencies
.PHONY: check-deps

=== src/github.com/juju/jujusvg/Makefile ===
ifndef GOPATH
	$(warning You need to set up a GOPATH.)
endif

PROJECT := github.com/juju/jujusvg
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

help:
	@echo "Available targets:"
	@echo "  deps - fetch all dependencies"
	@echo "  build - build the project"
	@echo "  check - run tests"
	@echo "  install - install the library in your GOPATH"
	@echo "  clean - clean the project"

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

deps: $(GOPATH)/bin/godeps
	go get -v $(PROJECT)/...

build:
	go build $(PROJECT)/...

check:
	go test $(PROJECT)/...

install:
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else

deps:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)
	
build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

.PHONY: help deps build check install clean

=== src/github.com/juju/utils/Makefile ===
PROJECT := github.com/juju/utils

check-licence:
	@(fgrep -rl "Licensed under the LGPLv3" .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check: check-licence
	go test $(PROJECT)/...

=== src/gopkg.in/juju/charmstore.v4/Makefile ===
# Makefile for the charm store.

ifndef GOPATH
$(warning You need to set up a GOPATH.)
endif

PROJECT := gopkg.in/juju/charmstore.v4
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

ifeq ($(shell uname -p | sed -r 's/.*(x86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS :=
else
	GO_C := gccgo-4.9 gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  build-essential
  bzr
  juju-mongodb
  mongodb-server
  $(GO_C)
  openjdk-7-jre-headless
  elasticsearch
endef

default: build

$(GOPATH)/bin/godeps:
	go get -v launchpad.net/godeps

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

build:
	go build $(PROJECT)/...

check:
	go test $(PROJECT)/...

install:
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Run the charmd server.
server: install
	charmd -logging-config INFO cmd/charmd/config.yaml

# Update the project Go dependencies to the required revision.
deps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv

# Generate the dependencies file.
create-deps: $(GOPATH)/bin/godeps
	godeps -t $(shell go list $(PROJECT)/...) > dependencies.tsv || true

# Install packages required to develop the charm store and run tests.
APT_BASED := $(shell command -v apt-get >/dev/null; echo $$?)
sysdeps:
ifeq ($(APT_BASED),0)
ifeq ($(shell lsb_release -cs|sed -r 's/precise|quantal|raring/old/'),old)
	@echo Adding PPAs for golang and mongodb
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
endif
	@echo Installing dependencies
	[ "x$(apt-key export D88E42B4 2>&1 1>/dev/null)" = "x" ] || { curl -s http://packages.elasticsearch.org/GPG-KEY-elasticsearch | sudo apt-key add -;}
	repo="http://packages.elasticsearch.org/elasticsearch/1.3/debian" file=/etc/apt/sources.list.d/packages_elasticsearch_org_elasticsearch_1_3_debian.list ; grep "$$repo" $$file || echo "deb $$repo stable main" | sudo tee $$file > /dev/null
	sudo apt-get update
	@sudo apt-get --force-yes install $(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)
else
	@echo sysdeps runs only on systems with apt-get
	@echo on OS X with homebrew try: brew install bazaar mongodb elasticsearch
endif

help:
	@echo -e 'Charmstore - list of make targets:\n'
	@echo 'make - Build the package.'
	@echo 'make check - Run tests.'
	@echo 'make install - Install the package.'
	@echo 'make server - Start the charmd server.'
	@echo 'make clean - Remove object files from package source directories.'
	@echo 'make sysdeps - Install the development environment system packages.'
	@echo 'make deps - Set up the project Go dependencies.'
	@echo 'make create-deps - Generate the Go dependencies file.'
	@echo 'make format - Format the source files.'
	@echo 'make simplify - Format and simplify the source files.'

.PHONY: build check install clean format simplify sysdeps help

=== debian/changelog ===
juju-core (1.25.6-0ubuntu1.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 16:37:56 -0700

juju-core (1.25.6-0ubuntu1.14.04.1) trusty-proposed; urgency=medium

  * New 1.25.6 upstream release. (LP: #1611855)
  
 -- Martin Packman <martin.packman@canonical.com>  Tue, 26 Jul 2016 19:03:51 +0000

juju-core (1.25.5-0ubuntu3~14.04.1) trusty; urgency=medium

  * Backport of juju-core-1_1.25.5-0ubuntu3 to 14.04 (Lp: #1556981).
  * As the packages were renamed to juju-core-1 and juju-1, most changes
    to d/ are not backported.
    * d/copyright: Backported with changes to src
      Updated info for src/gopkg.in/juju/charm.v5/* to now match
      commit 84c8fe478fa1b1e67eb552831de5fd2603085c51
    * d/control: Added juju-1 to conflicts as a courtesy to users
      of alternate packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 13 May 2016 13:34:09 +0000

juju-core (1.24.7-0ubuntu1~14.04.1) trusty; urgency=medium

  [ Curtis C. Hovey ]
  * Backport of 1.24.7 from vivid. (Lp: #1506652)

  [ Robie Basak ]
  * This upload results in the following packaging delta from the previous
    1.22.8-0ubuntu1~14.04.1 in trusty-updates:
    - d/copyright: updated.
    - d/control: gccgo-5 [!amd64 !i386 !armhf] now preferred over gccgo-go
      [!amd64 !i386 !armhf], which is a no-op on Trusty since gccgo-5 doesn't
      exist in Trusty. This minimises the backport delta.
    - d/tests: dep8 tests updated from Xenial.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Fri, 16 Oct 2015 19:20:29 +0000

## juju-core 2.0~beta4

=== src/launchpad.net/tomb/Makefile ===
include $(GOROOT)/src/Make.inc

all: package

TARG=launchpad.net/tomb

GOFILES=\
	tomb.go\

GOFMT=gofmt
BADFMT:=$(shell $(GOFMT) -l $(GOFILES) $(CGOFILES) $(wildcard *_test.go) 2> /dev/null)

gofmt: $(BADFMT)
	@for F in $(BADFMT); do $(GOFMT) -w $$F && echo $$F; done

ifneq ($(BADFMT),)
ifneq ($(MAKECMDGOALS),gofmt)
$(warning WARNING: make gofmt: $(BADFMT))
endif
endif

include $(GOROOT)/src/Make.pkg

=== src/github.com/juju/cmd/Makefile ===
# Copyright 2014 Canonical Ltd.
# Licensed under the LGPLv3, see LICENSE file for details.

default: check

check:
	go test && go test -compiler gccgo

docs:
	godoc2md github.com/juju/cmd > README.md

=== src/github.com/juju/romulus/Makefile ===

PROJECT := github.com/juju/romulus

check-licence:
	@(fgrep -rl "Licensed under the AGPL" .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check: check-licence
	go test $(PROJECT)/...

=== src/github.com/lxc/lxd/Makefile ===
DOMAIN=lxd
POFILES=$(wildcard po/*.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=po/$(DOMAIN).pot

# dist is primarily for use when packaging; for development we still manage
# dependencies via `go get` explicitly.
# TODO: use git describe for versioning
VERSION=$(shell grep "var Version" shared/flex.go | cut -d'"' -f2)
ARCHIVE=lxd-$(VERSION).tar

.PHONY: default
default:
	# Must run twice due to go get race
	-go get -t -v -d ./...
	-go get -t -v -d ./...
	go install -v $(DEBUG) ./...
	@echo "LXD built successfully"

.PHONY: client
client:
	# Must run twice due to go get race
	-go get -t -v -d ./...
	-go get -t -v -d ./...
	go install -v $(DEBUG) ./lxc
	@echo "LXD client built successfully"

.PHONY: update
update:
	# Must run twice due to go get race
	-go get -t -v -d -u ./...
	go get -t -v -d -u ./...
	@echo "Dependencies updated"

# This only needs to be done when migrate.proto is actually changed; since we
# commit the .pb.go in the tree and it's not expected to change very often,
# it's not a default build step.
.PHONY: protobuf
protobuf:
	protoc --go_out=. ./lxd/migrate.proto

.PHONY: check
check: default
	go get -v -x github.com/remyoudompheng/go-misc/deadcode
	@# go vet can (and does on go < 1.5) fail
	go get -v -x golang.org/x/tools/cmd/vet || true
	go test -v ./...
	cd test && ./main.sh

gccgo:
	go build -compiler gccgo ./...
	@echo "LXD built successfully with gccgo"

.PHONY: dist
dist:
	rm -Rf lxd-$(VERSION) $(ARCHIVE) $(ARCHIVE).gz
	mkdir -p lxd-$(VERSION)/dist
	-GOPATH=$(shell pwd)/lxd-$(VERSION)/dist go get -t -v -d ./...
	GOPATH=$(shell pwd)/lxd-$(VERSION)/dist go get -t -v -d ./...
	rm -rf $(shell pwd)/lxd-$(VERSION)/dist/src/github.com/lxc/lxd
	ln -s ../../../.. ./lxd-$(VERSION)/dist/src/github.com/lxc/lxd
	git archive --prefix=lxd-$(VERSION)/ --output=$(ARCHIVE) HEAD
	tar -uf $(ARCHIVE) --exclude-vcs lxd-$(VERSION)/
	gzip -9 $(ARCHIVE)
	rm -Rf dist lxd-$(VERSION) $(ARCHIVE)

.PHONY: i18n update-po update-pot build-mo static-analysis
i18n: update-pot

po/%.mo: po/%.po
	msgfmt --statistics -o $@ $<

po/%.po: po/$(DOMAIN).pot
	msgmerge -U po/$*.po po/$(DOMAIN).pot

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po po/$(DOMAIN).pot; \
	    rm -f $$lang.po~; \
	done

update-pot:
	go get -v -x github.com/ubuntu-core/snappy/i18n/xgettext-go/
	xgettext-go -o po/$(DOMAIN).pot --add-comments-tag=TRANSLATORS: --sort-output --package-name=$(DOMAIN) --msgid-bugs-address=lxc-devel@lists.linuxcontainers.org --keyword=i18n.G --keyword-plural=i18n.NG *.go shared/*.go lxc/*.go lxd/*.go


build-mo: $(MOFILES)

static-analysis:
	/bin/bash -x -c ". test/static_analysis.sh; static_analysis"

tags: *.go lxd/*.go shared/*.go lxc/*.go
	find . | grep \.go | grep -v git | grep -v .swp | grep -v vagrant | xargs gotags > tags

=== src/gopkg.in/juju/charmstore.v5-unstable/Makefile ===
# Makefile for the charm store.

ifndef GOPATH
$(warning You need to set up a GOPATH.)
endif

PROJECT := gopkg.in/juju/charmstore.v5-unstable
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

GIT_COMMIT := $(shell git rev-parse --verify HEAD)
VERSION := $(shell git describe --dirty)


ifeq ($(shell uname -p | sed -r 's/.*(x86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS :=
else
	GO_C := gccgo-4.9 gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  build-essential
  bzr
  juju-mongodb
  mongodb-server
  $(GO_C)
  openjdk-7-jre-headless
  elasticsearch
endef

ifeq ($(VERSION),no)
	VERSIONDEPS :=
else
	VERSIONDEPS := version/init.go
endif

default: build

$(GOPATH)/bin/godeps:
	# godeps needs to be fetched with the insecure flag as launchpad
	# uses http for part of the checkout process.
	go get -v -insecure launchpad.net/godeps

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

build: $(VERSIONDEPS)
	go build $(PROJECT)/...

check: $(VERSIONDEPS)
	go test $(PROJECT)/...

install: $(VERSIONDEPS)
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Run the charmd server.
server: install
	charmd -logging-config INFO cmd/charmd/config.yaml

# Update the project Go dependencies to the required revision.
deps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv

# Generate the dependencies file.
create-deps: $(GOPATH)/bin/godeps
	godeps -t $(shell go list $(PROJECT)/...) > dependencies.tsv || true

# Generate version information
version/init.go: version/init.go.tmpl FORCE
	gofmt -r "unknownVersion -> Version{GitCommit: \"${GIT_COMMIT}\", Version: \"${VERSION}\",}" $< > $@

# Install packages required to develop the charm store and run tests.
APT_BASED := $(shell command -v apt-get >/dev/null; echo $$?)
sysdeps:
ifeq ($(APT_BASED),0)
ifeq ($(shell lsb_release -cs|sed -r 's/precise|quantal|raring/old/'),old)
	@echo Adding PPAs for golang and mongodb
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
endif
	@echo Installing dependencies
	[ "x$(apt-key export D88E42B4 2>&1 1>/dev/null)" = "x" ] || { curl -s http://packages.elasticsearch.org/GPG-KEY-elasticsearch | sudo apt-key add -;}
	repo="http://packages.elasticsearch.org/elasticsearch/1.3/debian" file=/etc/apt/sources.list.d/packages_elasticsearch_org_elasticsearch_1_3_debian.list ; grep "$$repo" $$file || echo "deb $$repo stable main" | sudo tee $$file > /dev/null
	sudo apt-get update
	@sudo apt-get --force-yes install $(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)
else
	@echo sysdeps runs only on systems with apt-get
	@echo on OS X with homebrew try: brew install bazaar mongodb elasticsearch
endif

gopkg:
	@echo $(PROJECT)

help:
	@echo -e 'Charmstore - list of make targets:\n'
	@echo 'make - Build the package.'
	@echo 'make check - Run tests.'
	@echo 'make install - Install the package.'
	@echo 'make server - Start the charmd server.'
	@echo 'make clean - Remove object files from package source directories.'
	@echo 'make sysdeps - Install the development environment system packages.'
	@echo 'make deps - Set up the project Go dependencies.'
	@echo 'make create-deps - Generate the Go dependencies file.'
	@echo 'make format - Format the source files.'
	@echo 'make simplify - Format and simplify the source files.'
	@echo 'make gopkg - Output the current gopkg repository path and version.'

.PHONY: build check clean format gopkg help install simplify sysdeps FORCE

=== src/gopkg.in/juju/jujusvg.v1/Makefile ===
ifndef GOPATH
	$(warning You need to set up a GOPATH.)
endif

PROJECT := gopkg.in/juju/jujusvg.v1
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

help:
	@echo "Available targets:"
	@echo "  deps - fetch all dependencies"
	@echo "  build - build the project"
	@echo "  check - run tests"
	@echo "  install - install the library in your GOPATH"
	@echo "  clean - clean the project"

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

deps:
	go get -v -t $(PROJECT)/...

build:
	go build $(PROJECT)/...

check:
	go test $(PROJECT)/...

install:
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else

deps:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)
	
build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

.PHONY: help deps build check install clean

=== debian/changelog ===
juju-core (2.0~beta4-0ubuntu2) xenial; urgency=medium

  * Update debian/tests/ to work in the production network environment
    (LP: #1571082). 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 19 Apr 2016 21:20:58 +1200

juju-core (2.0~beta4-0ubuntu1) xenial; urgency=medium

  * New upstream release 2.0-beta4.
  * Add juju-2.0 recommend on lxd.
  * Fix and update debian/tests for required lxd manual configuration.

 -- Martin Packman <martin.packman@canonical.com>  Thu, 14 Apr 2016 22:10:51 +0000

juju-core (2.0~beta3-0ubuntu3) xenial; urgency=medium

  * Correctness tweaks to juju-2.0 wrapper script.
  * Use globs in lintian-overrides to avoid need for build time creation.

 -- Martin Packman <martin.packman@canonical.com>  Thu, 07 Apr 2016 11:31:36 +0000

juju-core (2.0~beta3-0ubuntu2) xenial; urgency=medium

  * Add symlink for jujud

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 04 Apr 2016 14:20:18 -0400

juju-core (2.0~beta3-0ubuntu1) xenial; urgency=medium

  [ Nicholas Skaggs ]
  * d/control:
    - Add additional dependencies for go libraries.

  [ Curtis C. Hovey ]
  * d/control:
    - Renamed the binary package juju-core to juju-2.0.
    - Dropped unneeded juju-local* package.
  * d/rules:
    - Renamed the binary package juju-core to juju-2.0.
    - Updated rules to 2.x.
    - Additional path/name changes to support co-installability with
      the 1.x juju-core package.
  * d/tests/*:
    - Replaced local-provider tests with lxd tests.

  [ Martin Packman ]
  * New upstream release 2.0-beta3 (LP: #1545913).
  * Make juju metapackage depend on transitional juju-core package
    for smoother juju 1.25 upgrades.
  * d/copyright:
    - Updated per changes to embedded dependencies.
  * d/rules:
    - Remove juju-restore binary.

 -- Martin Packman <martin.packman@canonical.com>  Fri, 01 Apr 2016 20:23:39 +0000

juju-core (1.25.4-0ubuntu1) xenial; urgency=medium

  * New upstream release (Lp: 1556981).
  * Removed patches fixed upstream.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Mon, 14 Mar 2016 14:27:13 +0000

juju-core (1.25.0-0ubuntu3) xenial; urgency=medium

  * Add a patch to pass ImageStream config down to ubuntu-cloudimg-query
    tool. https://github.com/juju/juju/pull/4480

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 19 Feb 2016 10:18:51 +0000

juju-core (1.25.0-0ubuntu2) xenial; urgency=medium

  * Use golang-go on ppc64el and s390x, 32-bit powerpc is now the only one
    using gccgo.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Feb 2016 18:19:19 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# NOTE: debian/gocode/src will contain symlinks to system provided
#       dev packages, which will be used over those in the upstream
#       juju-core codebase.

export GOPATH:=$(CURDIR)/debian/gocode:$(CURDIR)
export PATH:=$(CURDIR)/bin:$(PATH)

PKGDIR:=debian/juju
VERSION:=$(shell sed -n 's/^const version = "\(2\.[0-9]\+\)[\.-].*"/\1/p' $(CURDIR)/src/github.com/juju/juju/version/version.go)
ifeq ($(VERSION),)
$(error Invalid version constant in version.go)
endif

ifeq ($(shell lsb_release -cs | sed -r 's/saucy|precise/old/'),old)
	DB_DEP = -Vdist:Depends="mongodb-server (>= 2.4.6)"
else
	DB_DEP = -Vdist:Depends="juju-mongodb (>= 2.4.6)"
endif

%:
	dh $@ --with=golang

COMMON_FLAGS:= -x -v -work
golang_archs:= amd64 i386 armhf s390x ppc64el arm64
ifeq (,$(filter $(DEB_HOST_ARCH), $(golang_archs)))
# NOTE(james-page) statically link libgo for the jujud binary for gccgo
# this allows the binary to be re-cut for upstream tool distribution and
# mimics the behaviour of the golang gc compiler.
JUJUD_FLAGS:= -gccgoflags -static-libgo
endif

# NOTE: ensure /usr/share/gocode is use in preference to any
#       embedded source for dependencies.
override_dh_auto_configure:
	dh_auto_configure
	mkdir -p debian/gocode/src
	ln -s /usr/share/gocode/src/* debian/gocode/src

override_dh_auto_install:
	go install $(COMMON_FLAGS) github.com/juju/juju/cmd/juju
	go install $(COMMON_FLAGS) github.com/juju/juju/cmd/plugins/juju-metadata
	go install $(COMMON_FLAGS) github.com/juju/juju/cmd/plugins/juju-upgrade-mongo
	go install $(COMMON_FLAGS) $(JUJUD_FLAGS) github.com/juju/juju/cmd/jujud
	echo '#!/bin/sh\nexport PATH=/usr/lib/juju-$(VERSION)/bin:"$$PATH"\nexec juju "$$@"' > bin/juju-$(VERSION)
	chmod 755 bin/juju-$(VERSION)
	mkdir -p debian/home
	HOME=debian/home $(CURDIR)/src/github.com/juju/juju/scripts/generate-docs.py man -o juju.1
	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
	dh_install bin/juju-metadata usr/lib/juju-$(VERSION)/bin
	dh_install bin/juju-upgrade-mongo usr/lib/juju-$(VERSION)/bin
	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
	dh_install bin/juju-$(VERSION) usr/bin
	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
	dh_install src/github.com/juju/juju/etc/bash_completion.d/juju2 \
	           usr/share/bash-completion/completions
	dh_auto_install

override_dh_link:
	dh_link -pjuju-2.0 usr/bin/juju-$(VERSION) usr/bin/juju
	dh_link -pjuju-2.0 usr/lib/juju-$(VERSION)/man/man1/juju.1.gz usr/share/man/man1/juju.1.gz
	dh_link -pjuju-2.0 usr/lib/juju-$(VERSION)/man/man1/juju.1.gz usr/share/man/man1/juju-2.0.1.gz
	dh_link

override_dh_compress:
	dh_compress usr/lib/juju-$(VERSION)/man/man1/juju.1
	dh_compress

override_dh_auto_clean:
	rm -rf bin juju.1
	rm -rf pkg bin debian/home debian/gocode
	find . -name "*.pyc" -delete || :
	dh_auto_clean

# Don't strip golang compiled binaries as this does
# not function correctly
override_dh_strip:
	:

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)

=== debian/tests/control ===
Tests: client
Depends: @
Restrictions: allow-stderr

Tests: current-lxd-provider future-lxd-provider
Depends: @, lxd, lxd-client, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

Tests: current-manual-provider future-manual-provider
Depends: @, openssh-client, openssh-server, sudo
Restrictions: allow-stderr breaks-testbed isolation-container needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
 https://launchpad.net/juju-core/+download https://launchpad.net/juju-core/.*/.*/.*/juju-core_(.*)\.tar\.gz
